/*
 * This file is part of Pustefix.
 *
 * Pustefix is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Pustefix is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Pustefix; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
    
package org.pustefixframework.editor.webui.wrappers;
    
import de.schlund.pfixcore.generator.*;

import de.schlund.pfixcore.generator.annotation.*;

/**
 * THIS CLASS IS AUTOGENERATED! DO NOT EDIT IN ANY WAY!
 */
@UseHandlerClass(org.pustefixframework.editor.webui.handlers.SelectUserHandler.class)
public class SelectUser extends IWrapperImpl {

    @Override
    protected synchronized void registerParams() {
        
        IWrapperParam          pinfo;
        
        IWrapperParamCaster    caster;
        
        // Username
        if(!params.containsKey("Username")) {
        pinfo  = new IWrapperParam("Username", false, false, null, "java.lang.String", true);
          
        params.put("Username", pinfo);
          
        }  
        
      
        // Create
        if(!params.containsKey("Create")) {
        pinfo  = new IWrapperParam("Create", false, true, null, "java.lang.Boolean", true);
          
        params.put("Create", pinfo);
          
        caster = new de.schlund.pfixcore.generator.casters.ToBoolean();
        pinfo.setParamCaster(caster);
    
        }  
        
      
        super.registerParams();
    }
    
    // Username
    public java.lang.String getUsername() {
        return (java.lang.String) gimmeParamForKey("Username").getValue();
    }
    
    public void setStringValUsername(String v) {
        gimmeParamForKey("Username").
          setStringValue(new String[] {v});
    }

    public void setUsername(java.lang.String v) {
        IWrapperParam iwrpParam = gimmeParamForKey("Username");
        setStringValue(new java.lang.String[] {v}, iwrpParam);
    }

    public void addSCodeUsername(de.schlund.util.statuscodes.StatusCode scode) {
        addSCode(gimmeParamForKey("Username"), scode, null, null);
    }

    public void addSCodeUsername(de.schlund.util.statuscodes.StatusCode scode, String[] args, String level) {
        addSCode(gimmeParamForKey("Username"), scode, args, level);
    }

    /**
      * @deprecated use addScodeUsername(scode, args, null)
      */
    @Deprecated
    public void addSCodeWithArgsUsername(de.schlund.util.statuscodes.StatusCode scode, String[] args) {
        addSCode(gimmeParamForKey("Username"), scode, args, null);
    }
        
    // Create
    @Caster(
        type=de.schlund.pfixcore.generator.casters.ToBoolean.class
    )
    public java.lang.Boolean getCreate() {
        return (java.lang.Boolean) gimmeParamForKey("Create").getValue();
    }
    
    public void setStringValCreate(String v) {
        gimmeParamForKey("Create").
          setStringValue(new String[] {v});
    }

    public void setCreate(java.lang.Boolean v) {
        IWrapperParam iwrpParam = gimmeParamForKey("Create");
        setStringValue(new java.lang.Boolean[] {v}, iwrpParam);
    }

    public void addSCodeCreate(de.schlund.util.statuscodes.StatusCode scode) {
        addSCode(gimmeParamForKey("Create"), scode, null, null);
    }

    public void addSCodeCreate(de.schlund.util.statuscodes.StatusCode scode, String[] args, String level) {
        addSCode(gimmeParamForKey("Create"), scode, args, level);
    }

    /**
      * @deprecated use addScodeCreate(scode, args, null)
      */
    @Deprecated
    public void addSCodeWithArgsCreate(de.schlund.util.statuscodes.StatusCode scode, String[] args) {
        addSCode(gimmeParamForKey("Create"), scode, args, null);
    }
        
}
  